using System.ComponentModel;
using Hotline.Exams.Base;
using SqlSugar;

namespace Hotline.Exams.TestPapers
{
    /// <summary>
    /// 关联课件
    /// </summary>
    [Description("关联课件")]
    public class ExamTestPaperItemSourceware:ExamBusinessEntity
    {
        /// <summary>
        /// 试题Id
        /// </summary>
        [SugarColumn(ColumnDescription ="试题Id")]
        [Description("试题Id")]
        public string QuestionId { get; set; }

        /// <summary>
        /// 课件Id
        /// </summary>
        [SugarColumn(ColumnDescription = "课件Id")]
        [Description("课件Id")]
        public string SourcewareId { get; set; }

        /// <summary>
        /// 试卷明细Id
        /// </summary>
        [SugarColumn(ColumnDescription = "试卷明细Id")]
        [Description("试卷明细Id")]
        public string TestPaperItemId { get; set; }
    }
}
